%global debug_package %{nil}

Name:           python-scikit-learn
Summary:        A Python module for machine learning built on top of SciPy
Version:        0.24.0
Release:        4
License:        BSD
URL:            https://scikit-learn.org/stable/
Source0:        https://github.com/scikit-learn/scikit-learn/archive/%{version}/scikit-learn-%{version}.tar.gz

%global _description\
scikit-learn is a Python module for machine learning built on top of SciPy\
and is distributed under the 3-Clause BSD license.\

%description %_description

%package -n python3-scikit-learn
Summary:        %summary

BuildRequires:  python3-devel python3-numpy python3-Cython python3-pytest python3-scipy g++
Requires:       python3 >= 3.5 python3-numpy >= 1.11.0
Requires:       python3-scipy >= 0.17.0 python3-joblib >=  0.11

%description -n python3-scikit-learn %_description

%prep
%autosetup -n scikit-learn-%{version} -p1

%build
CFLAGS="$RPM_OPT_FLAGS -s"
%py3_build

%install
%py3_install

%files -n python3-scikit-learn
%license COPYING
%doc examples/ CONTRIBUTING.md README.rst
%{python3_sitearch}/sklearn
%{python3_sitearch}/scikit_learn-*.egg-info

%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.24.0-4
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Wed Jun 23 2021 liudabo <liudabo1@huawei.com> - 0.24.0-3
- Add g++ build dependcy

* Sat Mar 20 2021 shixuantong <shixuantong@huawei> - 0.24.0-2
- strip binary files

* Wed Jan 13 2021 SimpleUpdate Robot <tc@openeuler.org> - 0.24.0-1
- Upgrade to version 0.24.0

* Fri Oct 1 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 0.23.1-2
- upgrade to 0.23.2

* Fri Jul 31 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 0.23.1-1
- upgrade to 0.23.1

* Wed Jan 22 2020 Jiangping Hu <hujp1985@foxmail.com> - 0.20.4-2
- Package init
